Subject: Re: RFC: Support send-to-self over external interfaces (and veths).

From: Patrick McHardy <[email-masked]>
Date: Mon, 11 Jun 2007 18:12:57 +0200

Ben Greear wrote:
> Patrick McHardy wrote:
> 
>> I would really prefer to simply make the prio 0 "lookup local"
>> rule deletable so you can rules with higher priority. That
>> allows to do send to self without any further code changes
>> and avoids the need to bind applications to a device.
>>   
> 
> I am not against making that change as well, but it is often easier to
> just bind-to-device
> than to set up specific host routes for every possible combination..as
> it appears your
> method requires.  (I could have mis-understood the routing requirements,
> but it seemed to
> if you wanted any 100 interfaces to send to any other, your method would
> required 100 * 100
> routes.)

If you want arbitary combinations bases solely on routing, yes
(thats not different from not using send to self). But binding
explicitly should also work fine.